# https://chjackson.github.io/openbugsdoc/Examples/Seeds.html

seeds = (
    name="seeds",
    model_def=@bugs(
        """
for( i in 1 : N ) {
    r[i] ~ dbin(p[i],n[i])
    b[i] ~ dnorm(0.0,tau)
    logit(p[i]) <- alpha0 + alpha1 * x1[i] + alpha2 * x2[i] +
    alpha12 * x1[i] * x2[i] + b[i]
}
alpha0 ~ dnorm(0.0,1.0E-6)
alpha1 ~ dnorm(0.0,1.0E-6)
alpha2 ~ dnorm(0.0,1.0E-6)
alpha12 ~ dnorm(0.0,1.0E-6)
tau ~ dgamma(0.001,0.001)
sigma <- 1 / sqrt(tau)
""",
        false,
        true
    ),
    data=(
        r=[10, 23, 23, 26, 17, 5, 53, 55, 32, 46, 10, 8, 10, 8, 23, 0, 3, 22, 15, 32, 3],
        n=[39, 62, 81, 51, 39, 6, 74, 72, 51, 79, 13, 16, 30, 28, 45, 4, 12, 41, 30, 51, 7],
        x1=[0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1],
        x2=[0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1],
        N=21,
    ),
    inits=[
        (alpha0=0, alpha1=0, alpha2=0, alpha12=0, tau=10),
        (
            alpha0=0,
            alpha1=0,
            alpha2=0,
            alpha12=0,
            tau=1,
            b=[0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
        ),
    ],
    reference_results=(
        alpha0=(mean=-0.5499, std=0.1965),
        alpha1=(mean=0.08902, std=0.3124),
        alpha12=(mean=-0.841, std=0.4372),
        alpha2=(mean=1.356, std=0.2772),
        sigma=(mean=0.2922, std=0.1467),
    ),
)