model_def = @bugs begin
    a ~ dbin(0.1, 10)
end

bugs_model = compile(model_def, Dict(), Dict(:a => 10))
vi = bugs_model.varinfo

@model function dppl_gamma_model()
    return a ~ dbin(0.1, 10)
end

dppl_model = dppl_gamma_model()

bugs_logp = JuliaBUGS.evaluate!!(JuliaBUGS.settrans(bugs_model, false), DefaultContext())[2]
params_vi = JuliaBUGS.get_params_varinfo(bugs_model, vi)
# test if JuliaBUGS and DynamicPPL agree on parameters in the model
@test keys(
    DynamicPPL.evaluate!!(
        dppl_model, SimpleVarInfo(Dict{VarName,Any}()), DynamicPPL.SamplingContext()
    )[2],
) == keys(params_vi)

p = DynamicPPL.LogDensityFunction(dppl_model)
t_p = DynamicPPL.LogDensityFunction(
    dppl_model,
    DynamicPPL.link!!(SimpleVarInfo(dppl_model), dppl_model),
    DynamicPPL.DefaultContext(),
)

@test bugs_logp ≈ LogDensityProblems.logdensity(p, [10.0]) rtol = 1E-6

bugs_logp = JuliaBUGS.evaluate!!(JuliaBUGS.settrans(bugs_model, true), DefaultContext())[2]
@test bugs_logp ≈
    LogDensityProblems.logdensity(t_p, [transform(bijector(dbin(0.1, 10)), 10.0)]) rtol =
    1E-6
